#!/bin/bash
exec > /tmp/run.log

echo "--------------------------------------"
set -x
dmesg
sudo cat /var/log/cloud-init.log
sudo cat /var/lib/waagent.log
sudo cat /var/lib/waagent/ovf-env.xml
set -x
echo "--------------------------------------"

sudo apt-get -y update
sudo apt-get -y install python-nose python-mocker bzr

[ -e /tmp/jenkins_kvm ] && rm -rf /tmp/jenkins_kvm
bzr branch http://bazaar.launchpad.net/~ubuntu-on-ec2/vmbuilder/jenkins_kvm \
    /tmp/jenkins_kvm

cd /tmp/jenkins_kvm/tests

echo "--------------------------------------"
nosetests test-azure.py
echo "status=$?"
echo "--------------------------------------"
